import fetch from '@/utils/fetch'
import Vue from 'vue'
import axios from 'axios'
Vue.prototype.$ajax = axios


export function loginByUsername(account, password) {
  const data = {
    account: account,
    password,
  }
  return axios.get('/PrivilegeVueController/login', {params: data})
}

export function logout() {
  return axios.get('/PrivilegeVueController/loginOut')
}

export function getUserInfo(token) {
  return axios.get('/PrivilegeVueController/loginByToken?tokenId=' + token)
}


