import Vue from 'vue'
import HdDrop from '@/hdcom/HdDrop'
import HdGrid from '@/hdcom/HdGrid'
import HdBtn from '@/hdcom/HdBtn'
import HdButton from '@/hdcom/HdButton'
import HdQuery from '@/utils/HdQuery'
import HdNum from '@/hdcom/HdNum'
import HdDatePicker from '@/hdcom/HdDatePicker'
import HdTreeTable from '@/hdcom/HdTreeTable/index.vue'
import HdDialog from '@/hdcom/HdDialog'
import HdAside from '@/hdcom/HdAside'
import HdFooter from '@/hdcom/HdFooter'
import HdHeader from '@/hdcom/HdHeader'
import HdMain from '@/hdcom/HdMain'
import HdTree from '@/hdcom/HdTree'
import HdPopover from '@/hdcom/HdPopover'
import HdFormItem from '@/hdcom/HdFormItem.vue'
import '@/hdcom/utils.js'
import HdHotkey from '@/hdcom/HdHotkey' //实际为shortkey组件
import HdComGrid from "@/hdcom/HdComGrid";

Vue.use(require('vue-shortkey'))
Vue._window = window
window.HdQuery = HdQuery //查询
Vue.component('hd-drop', HdDrop)
Vue.component('hd-grid', HdGrid)
Vue.component('hd-btn', HdBtn)
Vue.component('hd-num', HdNum)
Vue.component('el-tree-table', HdTreeTable)
Vue.component('el-button', HdButton) //替换element ui
Vue.component('el-dialog', HdDialog)
Vue.component('el-aside', HdAside)
Vue.component('el-footer', HdFooter)
Vue.component('el-header', HdHeader)
Vue.component('el-main', HdMain)
Vue.component('el-popover', HdPopover)
Vue.component('el-form-item', HdFormItem)
Vue.component('hd-tree', HdTree)
Vue.component('hd-date-picker', HdDatePicker)
Vue.component('hd-hot-key', HdHotkey)
Vue.component('hd-com-grid', HdComGrid)





